from distutils.core import setup
import py2exe

py2exe_options = dict(
					ascii=True,  # Exclude encodings
					excludes=['_ssl',  # Exclude _ssl
						'pyreadline', 'difflib', 'doctest', 'locale',
						'optparse', 'pickle', 'calendar'],  # Exclude standard library
					dll_excludes=['msvcr71.dll'],  # Exclude msvcr71
					compressed=True,  # Compress library.zip
					)

setup(
		console=['knpextract.py', 'knpgen.py'], 
		options={'py2exe': py2exe_options}, 
		data_files=['knp_pal.png'],
		
		name='KNPExtract',
		version='0.1b',
		description='Extracts graphic resources from Klik & Play .img files',
		author='Jeremy Penner'
	)